{
  appimageTools,
  fetchurl,
  lib,
  ...
}:

let
  name = "beeref";
  version = "0.3.3";
  src = fetchurl {
    url = "https://github.com/rbreu/beeref/releases/download/v${version}/${name}-${version}.appimage";
    hash = "sha256-pavXKtjOvKY2IUPp+UP0v8WkrpPeNEcNDhqoQtFYszo=";
  };
in
appimageTools.wrapType2 {
  inherit name version src;
  extraPkgs = pkgs: [ pkgs.python311 ];
  meta = with lib; {
    description = "A Simple Reference Image Viewer";
    homepage = "https://github.com/rbreu/beeref";
    license = licenses.gpl3Only;
    mainProgram = "beeref";
  };
}
